INTERFACE
SUBROUTINE CLOUDSTAD ( KIDIA , KFDIA , KLON , KTDIA , KLEV, LDRAIN1D,&
 & PTSPHY,&
 & PAPHP15 , PAPP15 , PQM15 , PQS5 , PTM15,&
 & PLUDE5 , PLU5,&
 & PTENT5 , PTENQ5,&
 & PCLC5 , PQIWP5 , PQLWP5 ,PFPLSL5 , PFPLSN5,&
 & PFHPSL5 , PFHPSN5, PCOVPTOT5,&
 & PAPHP1 , PAPP1 , PQM1 , PQS , PTM1,&
 & PLUDE , PLU,&
 & PTENT , PTENQ,&
 & PCLC , PQIWP , PQLWP ,PFPLSL , PFPLSN,&
 & PFHPSL , PFHPSN, PCOVPTOT ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
LOGICAL ,INTENT(IN) :: LDRAIN1D
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHP15(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPP15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLC5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQIWP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQLWP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSN5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPSN5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOVPTOT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHP1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPP1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQIWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFHPSL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFHPSN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOVPTOT(KLON,KLEV)
END SUBROUTINE CLOUDSTAD
END INTERFACE
